Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr.query
Interface RowIterator

All Superinterfaces:
  java.util.Iterator, RangeIterator

      public interface RowIterator

extends RangeIterator

Method Summary
`Row` `nextRow()` Returns the next `Row` in the iteration.

Methods inherited from interface javax.jcr.RangeIterator
`getPosition, getSize, skip`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### nextRow

    Row nextRow()

  Returns the next `Row` in the iteration.
  Returns:
    the next `Row` in the iteration.
  Throws:
    `java.util.NoSuchElementException` - if iteration has no more `Row`s.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.